package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractFirstFactory
{
    private ContractFirstFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IContractFirst getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirst)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("696BFDA0") ,com.kingdee.eas.custom.gggl.IContractFirst.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IContractFirst getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirst)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("696BFDA0") ,com.kingdee.eas.custom.gggl.IContractFirst.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IContractFirst getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirst)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("696BFDA0"));
    }
    public static com.kingdee.eas.custom.gggl.IContractFirst getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractFirst)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("696BFDA0"));
    }
}